Class MachineTypeList.Builder (1.88.0)

public static final class MachineTypeList.Builder extends GeneratedMessageV3.Builder<MachineTypeList.Builder> implements MachineTypeListOrBuilder

Contains a list of machine types.

Protobuf type google.cloud.compute.v1.MachineTypeList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends MachineType> values)

public MachineTypeList.Builder addAllItems(Iterable<? extends MachineType> values)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.MachineType>
Returns
Type Description
MachineTypeList.Builder

addItems(MachineType value)

public MachineTypeList.Builder addItems(MachineType value)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
value MachineType
Returns
Type Description
MachineTypeList.Builder

addItems(MachineType.Builder builderForValue)

public MachineTypeList.Builder addItems(MachineType.Builder builderForValue)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
builderForValue MachineType.Builder
Returns
Type Description
MachineTypeList.Builder

addItems(int index, MachineType value)

public MachineTypeList.Builder addItems(int index, MachineType value)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameters
Name Description
index int
value MachineType
Returns
Type Description
MachineTypeList.Builder

addItems(int index, MachineType.Builder builderForValue)

public MachineTypeList.Builder addItems(int index, MachineType.Builder builderForValue)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameters
Name Description
index int
builderForValue MachineType.Builder
Returns
Type Description
MachineTypeList.Builder

addItemsBuilder()

public MachineType.Builder addItemsBuilder()

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Returns
Type Description
MachineType.Builder

addItemsBuilder(int index)

public MachineType.Builder addItemsBuilder(int index)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
MachineType.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public MachineTypeList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
MachineTypeList.Builder
Overrides

build()

public MachineTypeList build()
Returns
Type Description
MachineTypeList

buildPartial()

public MachineTypeList buildPartial()
Returns
Type Description
MachineTypeList

clear()

public MachineTypeList.Builder clear()
Returns
Type Description
MachineTypeList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public MachineTypeList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
MachineTypeList.Builder
Overrides

clearId()

public MachineTypeList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
MachineTypeList.Builder

This builder for chaining.

clearItems()

public MachineTypeList.Builder clearItems()

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Returns
Type Description
MachineTypeList.Builder

clearKind()

public MachineTypeList.Builder clearKind()

[Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.

optional string kind = 3292052;

Returns
Type Description
MachineTypeList.Builder

This builder for chaining.

clearNextPageToken()

public MachineTypeList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
MachineTypeList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public MachineTypeList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
MachineTypeList.Builder
Overrides
public MachineTypeList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
MachineTypeList.Builder

This builder for chaining.

clearWarning()

public MachineTypeList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
MachineTypeList.Builder

clone()

public MachineTypeList.Builder clone()
Returns
Type Description
MachineTypeList.Builder
Overrides

getDefaultInstanceForType()

public MachineTypeList getDefaultInstanceForType()
Returns
Type Description
MachineTypeList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public MachineType getItems(int index)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
MachineType

getItemsBuilder(int index)

public MachineType.Builder getItemsBuilder(int index)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
MachineType.Builder

getItemsBuilderList()

public List<MachineType.Builder> getItemsBuilderList()

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Returns
Type Description
int

getItemsList()

public List<MachineType> getItemsList()

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Returns
Type Description
List<MachineType>

getItemsOrBuilder(int index)

public MachineTypeOrBuilder getItemsOrBuilder(int index)

A list of MachineType resources.

repeated .google.cloud.compute.v1.MachineType items = 100526016;

Parameter
Name Description
index int
Returns
Type Description